Subject: Re: Cygnus b19 gcc and Mingw32
From: [email-masked] (Earnie Boyd)

10 Mar 1998 20:33:24 -0800
Message-ID: <[email-masked]>
Content-Type: text/plain
To: [email-masked]
Cc: [email-masked]

>From: Christopher Faylor <[email-masked]>
>Date: Tue, 10 Mar 1998 11:45:04 -0500 (EST)
>To: [email-masked]
>Subject: Re: Cygnus b19 gcc and Mingw32
>Cc: [email-masked]
>
>>>>Ok. I tried your cygwinb19.dll.  I tried "ls | more.com".  more.com 
>>>>doesn't stop; it just spews the data out like it was a cat.
>>>>
>>>>Was your cygwinb19.dll supposed to fix that problem?  The CYGWIN32 
>>>>environment variable is set to tty.
>>>
>>>Nope.  It wasn't supposed to fix that problem.  TTYs in CYGWIN32 are
>>>implemented using pipes.  I suspect that more thinks that since its
>>>standard output is a pipe, it should not be doing its normal page
>>>operations.  I don't think there *is* a way to fix this problem.
>>
>>Well the fix is to undo the changes and go back to the way it was 
>>handled.  My example worked in b18, it should work now.  One of the 
>>beauties about this was that I was able to live in both worlds.  Now, 
I 
>>have to exit bash to execute a native program.
>
>What are you talking about?  What changes are you referring to?
>
>If you don't use CYGWIN32=tty then MORE should work correctly with my
>.dll.  Are you saying that MORE doesn't work when CYGWIN32=notty?
>

OK. Setting CYGWIN32=notty before starting bash will cause "ls | 
more.com" to work.  Setting CYGWIN32=notty or vice versa after bash 
starts makes no difference.  It was reported that the CYGWIN32 
environment variable should be an interactive one.

>Apparently you are using Windows 95.  There have always been problems
>with tty support in Windows 95.

WinNT 3.51 is what I'm using, here.  I do have W95 at home.

>
>>THAT WILL NEVER WORK!!!
>
>There is no reason to shout.  I'm trying to help.  Calm down.

I'm shouting because the frustration level with B19 seems to be high, 
especially with newbies.  And I misunderstood that you meant the UNIX 
tty support.  Sorry.

I do appreciate what you are doing,

-        \\||//
---o0O0--Earnie--0O0o----
[email-masked]
------ooo0O--O0ooo-------

______________________________________________________
Get Your Private, Free Email at http://www.hotmail.com
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".